Bug 463912 - Review Request: tinyows - WFS-T and FE implementation server
Review Request: tinyows - WFS-T and FE implementation server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 06:50 EDT by Balint Cristian
Modified: 2009-01-05 02:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-05 02:18:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Balint Cristian 2008-09-25 06:50:07 EDT
Spec URL: http://openrisc.rdsor.ro/tinyows.spec
SRPM URL: http://openrisc.rdsor.ro/tinyows-0.6.0-1.fc10.src.rpm

Description:
TinyOWS server implements latest WFS-T standard versions,
as well as related standards such as Filter Encoding (FE).
Comment 1 manuel wolfshant 2008-09-25 08:37:32 EDT
The summary line has a typo (same as the description did here, in bz).
Comment 2 Balint Cristian 2008-09-25 08:52:24 EDT
Spec URL: http://openrisc.rdsor.ro/tinyows.spec
SRPM URL: http://openrisc.rdsor.ro/tinyows-0.6.0-2.fc10.src.rpm

* Thu Sep 25 2008 Balint Cristian <rezso@rdsor.ro> - 0.6.0-2
- shorter summary description
Comment 3 Lubomir Rintel 2009-01-04 07:35:44 EST
1.) Why do you throw away the valgrind run results?

make %{?_smp_mflags} valgrind || true

2.) This can be replaced

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

with

%{_datadir}/%{name}

and this

pushd %{buildroot}%{_datadir}/%{name}/
   ln -s ../../../%{_sysconfdir}/%{name}/config.xml config.xml
popd

with

ln -s ../../../%{_sysconfdir}/%{name}/config.xml %{buildroot}%{_datadir}/%{name}/config.xml

Sorry -- I could not resist these; just because I found nothing severe ;)
None of these is anything that would block the review:

APPROVED
Comment 4 Balint Cristian 2009-01-04 07:45:59 EST
(In reply to comment #3)
> 1.) Why do you throw away the valgrind run results?
> 
> make %{?_smp_mflags} valgrind || true


- My behaviour is to trow it, but _allways_ look at build logs.
I am unsure if on ppc64 will fail some tests (always an issue), 
if so than I complicate my life. Olso i prepare for alpha
sparc/sparc64 and i can see some failures wich stop rpm build
process.

> 
> 2.) This can be replaced
> 
> %dir %{_datadir}/%{name}
> %{_datadir}/%{name}/*
> 
> with
> 
> %{_datadir}/%{name}
> 

- will NEXTRELEASE

> and this
> 
> pushd %{buildroot}%{_datadir}/%{name}/
>    ln -s ../../../%{_sysconfdir}/%{name}/config.xml config.xml
> popd
> 
> with
> 
> ln -s ../../../%{_sysconfdir}/%{name}/config.xml
> %{buildroot}%{_datadir}/%{name}/config.xml
>

- will NEXTRELEASE

> Sorry -- I could not resist these; just because I found nothing severe ;)
> None of these is anything that would block the review:

I must Thanks for the patient and meticulous review !
 
> APPROVED
Comment 5 Balint Cristian 2009-01-04 07:49:15 EST
New Package CVS Request
=======================
Package Name: tinyows
Short Description: WFS-T and FE implementation server
Owners: rezso
Branches: F-8 F-9 F-10 devel
Comment 6 Kevin Fenzi 2009-01-04 15:11:41 EST
F-8 branches are no longer accepted. 

cvs done for the rest.

Note You need to log in before you can comment on or make changes to this bug.